## gladtex 1.4.2

=== CMakeLists.txt ===
project(gladtex)
cmake_minimum_required(VERSION 2.8.5)

find_package(ZLIB REQUIRED)
find_package(PNG REQUIRED)
find_package(GIF)

if(GIF_FOUND)
    include_directories(${GIF_INCLUDE_DIR})
    add_definitions(-DGIF)
endif()

include_directories(${ZLIB_INCLUDE_DIRS} ${PNG_INCLUDE_DIRS})

set(eqn2img_SRCS
    eqn2img.c
)

if(WIN32)
    set(eqn2img_SRCS ${eqn2img_SRCS} getopt.c)
endif()

if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS -wd4996)
endif()

add_executable(eqn2img ${eqn2img_SRCS})
target_link_libraries(eqn2img ${ZLIB_LIBRARIES} ${PNG_LIBRARIES})
if(GIF_FOUND)
    target_link_libraries(eqn2img ${GIF_LIBRARIES})
endif(GIF_FOUND)

find_program(POD2MAN pod2man)
if(POD2MAN)
    message(STATUS "found pod2man for generation of documentation: ${POD2MAN}")
    add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/gladtex.1
                       COMMAND ${POD2MAN} ARGS -c \"User Commands\" -r \"gladtex 1.3\" ${CMAKE_SOURCE_DIR}/gladtex.pod > ${CMAKE_BINARY_DIR}/gladtex.1)
    add_custom_target(gladtex.1_custom ALL DEPENDS ${CMAKE_BINARY_DIR}/gladtex.1)
endif()

install(TARGETS eqn2img RUNTIME DESTINATION bin
                        LIBRARY DESTINATION lib
                        ARCHIVE DESTINATION lib)
install(PROGRAMS gladtex DESTINATION bin)
install(FILES eqn2img.1 DESTINATION share/man/man1)
if(POD2MAN)
    install(FILES ${CMAKE_BINARY_DIR}/gladtex.1 DESTINATION share/man/man1)
endif()

=== debian/changelog ===
gladtex (1.4.2-3) unstable; urgency=medium

  * build-depend on libpng-dev (Closes: #810169)

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 07 Jan 2016 16:04:51 +0100

gladtex (1.4.2-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes).
  * remove GIF support (removed in new upstream version anyway)
    (Closes: #803281)

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 14 Dec 2015 11:27:20 +0100

gladtex (1.4.2-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 24 Jun 2014 16:44:03 +0200

gladtex (1.4.1-1) unstable; urgency=low

  * Initial release (Closes: #739528)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 18 Feb 2014 22:36:57 +0100

=== debian/control ===
Source: gladtex
Section: text
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper (>= 9.0.0), cmake, perl, libpng-dev
Standards-Version: 3.9.6
Homepage: http://gladtex.sourceforge.net
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-a11y/gladtex.git
Vcs-Git: git://anonscm.debian.org/pkg-a11y/gladtex.git

Package: gladtex
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, texlive-latex-base, ghostscript
Suggests: pandoc
Description: Embed LaTeX equations in HTML files
 GladTeX is a preprocessor that enables the use of LaTeX equations within HTML
 files. The equations, embedded in <EQ>...</EQ> tags, as if within $$..$$ in
 LaTeX, is fed through LaTeX and replaced by images.
 .
 Additionally all images get an alt-tag for alternative texts that contains the
 LaTeX-equivalent of the image. This is handy for text-mode browsers or blind
 people using a screen reader.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@

=== debian/watch ===
version=3
http://sf.net/gladtex/gladtex-(.*)\.tar\.gz

## gladtex 2.1

=== debian/changelog ===
gladtex (2.1-2) unstable; urgency=medium

  * correct dependency information for library package (Closes: #857911)
  * add ability to work in environments without locale set up

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 16 Mar 2017 11:35:43 +0100

gladtex (2.1-1) unstable; urgency=medium

  * new upstream release
  * reworked packaging (was Perl/C mixture before, is pure python now)

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 30 Aug 2016 17:48:08 +0200

=== debian/control ===
Source: gladtex
Section: text
Priority: optional
Maintainer: Sebastian Humenda <shumenda@gmx.de>
Build-Depends: debhelper (>= 9.0.0), dh-python, python3-all, pandoc
Standards-Version: 3.9.8
Homepage: http://gladtex.sourceforge.net
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/gladtex.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/gladtex.git

Package: python3-gleetex
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, texlive-latex-recommended,
    texlive-fonts-recommended, preview-latex-style, dvipng
Description: Module to embed LaTeX equations in HTML files
 GleeTeX is a python module to create images from formulas. It can parse HTML
 documents and replace all occurrences of <eq>some formula</eq> through images.
 Each image will get an alt attribute as well, which is useful for screen
 readers or text-mode browsers.
 It can also just create formula images out of LaTeX formulas and the process
 can be embedded into a web application.
 .
 GleeTeX is able to convert multiple images concurrently and it also keeps a
 cache of already converted formulas, speeding up the conversion.

Package: gladtex
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-gleetex
Suggests: pandoc
Description: Embed LaTeX equations in HTML files
 GladTeX is a preprocessor that enables the use of LaTeX equations within HTML
 files. The equations, embedded in <EQ>...</EQ> tags, as if within $$..$$ in
 LaTeX, is fed through LaTeX and replaced by images.
 .
 Additionally all images get an alt-tag for alternative texts that contains the
 LaTeX-equivalent of the image. This is handy for text-mode browsers or blind
 people using a screen reader.

## gladtex 2.3.1

=== debian/changelog ===
gladtex (2.3.1-3) unstable; urgency=medium

  * apply patch to avoid distutils usage where not required (Closes #896245)

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 26 Apr 2018 10:52:12 +0200

gladtex (2.3.1-2) unstable; urgency=medium

  [Ondřej Nový]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  [ Sebastian Humenda ]
  * add distutils (due to a change in python packaging) as dependency
    (Closes: #896245)

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 23 Apr 2018 13:21:24 +0200

gladtex (2.3.1-1) unstable; urgency=medium

  * new upstream version

 -- Sebastian Humenda <shumenda@gmx.de>  Mon, 16 Oct 2017 10:02:03 +0200

gladtex (2.2.1-1) unstable; urgency=medium

  * new upstream version
  * removed old downstream patches

 -- Sebastian Humenda <shumenda@gmx.de>  Thu, 31 Aug 2017 17:13:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: text
 Priority: optional
 Maintainer: Sebastian Humenda <shumenda@gmx.de>
-Build-Depends: debhelper (>= 9.0.0), dh-python, python3-all, pandoc
-Standards-Version: 3.9.8
-Homepage: http://gladtex.sourceforge.net
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/gladtex.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/gladtex.git
+Build-Depends: debhelper (>= 9.0.0), dh-python, python3-all, python3-distutils, pandoc
+Standards-Version: 4.1.4
+Homepage: https://humenda.github.io/GladTeX
+Vcs-Browser: https://salsa.debian.org/python-team/modules/gladtex
+Vcs-Git: https://salsa.debian.org/python-team/modules/gladtex.git
 
 Package: python3-gleetex
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#vim: set noexpandtab sts=4 ts=4 sw=4 tw=80:
#export PYBUILD_NAME=gleetex
#export PYBUILD_SYSTEM=distutils
export PYBUILD_DESTDIR_python3=debian/tmp

%:
	dh $@ --with python3 --buildsystem=pybuild

## gladtex 3.1.0

=== debian/changelog ===
gladtex (3.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sebastian Humenda ]
  * fix depends field, depend now on standard dvisvgm, recommend dvipng
    (Closes: #1002708)
  * fix lintian issues
  * install examples
  * update watch file
  * don't require root on building

 -- Sebastian Humenda <shumenda@gmx.de>  Tue, 28 Dec 2021 09:44:05 +0800

gladtex (3.1.0-1) unstable; urgency=medium

  * upload new version

 -- Sebastian Humenda <shumenda@gmx.de>  Sun, 17 Nov 2019 18:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,22 @@
 Section: text
 Priority: optional
 Maintainer: Sebastian Humenda <shumenda@gmx.de>
-Build-Depends: debhelper (>= 9.0.0), dh-python, python3-all, python3-distutils, pandoc
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all,
+    python3-setuptools, pandoc
+Standards-Version: 4.6.0
 Homepage: https://humenda.github.io/GladTeX
-Vcs-Browser: https://salsa.debian.org/python-team/modules/gladtex
-Vcs-Git: https://salsa.debian.org/python-team/modules/gladtex.git
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/packages/gladtex
+Vcs-Git: https://salsa.debian.org/python-team/packages/gladtex.git
 
 Package: python3-gleetex
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, texlive-latex-recommended,
-    texlive-fonts-recommended, preview-latex-style, dvipng
+    texlive-fonts-recommended, preview-latex-style, dvisvgm
+Recommends: dvipng
+Suggests: pandoc
 Description: Module to embed LaTeX equations in HTML files
- GleeTeX is a python module to create images from formulas. It can parse HTML
+ GleeTeX is a Python module to create images from formulas. It can parse HTML
  documents and replace all occurrences of <eq>some formula</eq> through images.
  Each image will get an alt attribute as well, which is useful for screen
  readers or text-mode browsers.
@@ -35,4 +39,3 @@
  Additionally all images get an alt-tag for alternative texts that contains the
  LaTeX-equivalent of the image. This is handy for text-mode browsers or blind
  people using a screen reader.
-

=== debian/rules ===
#!/usr/bin/make -f
#vim: set noexpandtab sts=4 ts=4 sw=4 tw=80:
export PYBUILD_DESTDIR_python3=debian/tmp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	mkdir -p build
	pandoc -s -f markdown -t man manpage.md > build/gladtex.1
	dh_auto_build

override_dh_auto_clean:
	rm -rf GladTeX.egg-info
	# not sure why this is not done by auto_clean
	rm -rf gleetex/.pybuild
	dh_auto_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gladtex-$1\.tar\.gz/ \
  https://github.com/humenda/gladtex/tags .*/v?(\d\S+)\.tar\.gz
